Redmine - Defect #1804

JRuby, Windows and RUBY_PLATFORM
2008-08-21 15:28 - Babar O'Cap

Status: Closed Start date: 2008-08-21
Priority: High Due date:

Assignee: % Done: 0%
Category: SCM Estimated time: 0.00 hour
Target version: 0.8

Resolution: Fixed Affected version: 0.7.3
Description

Hi,

There is a bug with Redmine on JRuby (v.1.1.3) and Windows (XP SP2).

When i want to see my Subversion repository, there is an error.
#<REXML::ParseException: No close tag for ["lists", "list"]>

I've found the problem :

In this file REDMINE_ROOT\lib\redmine\scm\adapters\abstract _adapter.rb at line 141
if RUBY_PLATFORM =~ /mswin/

RUBY_PLATFORM return java the condition result is false but i'm under Windows!
And the generated svn command is

svn list --xml 'svn://hostname/svn_repos//'@HEAD

instead of

svn list --xml "svn://hostname/svn_repos//"@HEAD

Maybe that problem is in other files of Redmine.

PS: Sorry for my bad English, I'm French.

Associated revisions

Revision 1753 - 2008-08-25 13:01 - Jean-Philippe Lang
Fixes platform determination under JRuby (#1804).

History

#1 - 2008-08-25 13:00 - Jean-Philippe Lang

- Status changed from New to Closed

- Affected version (unused) changed from devel to 0.7.3
- Resolution set to Fixed

- Affected version set to 0.7.3

Fix committed in r1753 with slight changes and fixes in a few more files (method Redmine::Platform.mswin? added to avoid code duplication).
Thanks for pointing out.

Files

abstract_adapter.patch 734 Bytes 2008-08-21 Babar O'Cap
